//  main: main.less, out: ../style.css

// ====================================================================================================================================
// SIDEBAR
// ====================================================================================================================================
.c-sidebar {
    width: @sidebar__w;
    position: fixed;
    top: @topPaddingBody;
    left: @margin__m;
    background-color: white;
    padding: @margin__m @margin__m @margin__s;
    z-index: 199;
    .u-shadow(@shadow);
    @media @media_smartphone, @media_landascape, @media_tablet {
        max-width: 320px;
        width: 100%;
        height: calc(100% ~'-' @header__h_phone);
        top: initial;
        padding: @margin__s @margin__s @margin__l;
        bottom: 0;
        left: initial;
        right: 0;
        overflow: scroll;
        z-index: 198;
        .u-transform(translateX(100%));
        .transition-elastic;
        &.isOpen {
            .u-transform(translateX(0));
        }
    }

    &:after, &:before {
        position: absolute;
        content: '';
        display: block;
    }
    &:after {
        width: 1px;
        height: 50px;
        bottom: -50px;
        left: @margin__m;
        z-index: -2;
        background-color: @color-tetiary;
    }
    &:before {
        height: 80px;
        width: 80px;
        background-image: url('./images/img_pallina.png');
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;
        bottom: -@margin__m;
        right: @margin__s;
    }
    @media @media_landascape, @media_tablet, @media_smartphone {
        &:after, &:before {
            display: none;
        }
    }
}

.c-sidebar__title {
    margin-top: 0;
}

.c-sidebar__inner {
    ul {
        margin: 0;
        padding: 0;
    }

    li {
        list-style-type: none;

        a {
            .o-button;
            .o-button_lightBlu;
            display: block;
        }

        &.current_page_item {
            a {
                background-color: @color-tetiary;
            }
        }
    }
}

.c-sidebar__toggler {
    position: fixed;
    display: none;
    background-image: url('./images/icn_teams.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 28px auto;
    background-color: @color-tetiary;
    cursor: pointer;
    z-index: 199;
    .u-border-radius(100%);
    &.calendar {
        background-image: url('./images/icn_calendar.svg');
    }
    @media @media_smartphone {
        display: block;
        right: @margin__s;
        bottom: @margin__s;
        height: @margin__m;
        width: @margin__m;
    }
    @media @media_landascape, @media_tablet {
        display: block;
        right: @margin__m;
        bottom: @margin__m;
        height: @margin__l;
        width: @margin__l;
    }
}

// .sidebar {
//     min-width: 300px;
//     background-color: lightgray;
//     padding: @margin__s;
//     margin-right: @margin__m;

//     #menu-sidebar>li {
//         border-top: solid 1px @color-black;
//     }

//     ul {
//         margin: 0;
//         padding: @margin__s/2;

//         &.sub-menu {
//             padding-right: @margin__s;
//         }
//     }

//     li {
//         list-style-type: none;
//     }
// }